Skip to main content
POST
Retrigger a job

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required
flow
string
required
tenant_id
string
required

Body

application/json
job_root
string
required

The job root (aka s3_root) to retrigger

skip_sync
boolean
default:true

Whether to skip or rerun the sync step. If true, the ETL script will use the job's existing synced data.

skip_etl
boolean
default:false

Whether to skip or rerun the ETL step. If true, the export step will use the job's existing ETL data.

skip_webhooks
boolean
default:false

Whether to send job status webhooks for the retriggered job.

Response

Job successfully retriggered

The details for the retriggered job.

job_id
string

The ID of the retriggered job

env_id
string

The ID of the environment

flow_id
string

The ID of the flow

job_name
string

The name of the retriggered job

tenant
string

The ID of the tenant

s3_root
string

The S3 root of the retriggered job